//
// Created by sebastian on 11.02.26.
//

#include "TextShader.h"

void TextShader::loadProjectionMatrix(glm::mat4 matrix) {
    ShaderProgram::loadMatrix(location_projectionMatrix, matrix);
}

void TextShader::loadTextColor(glm::vec3 color) {
    ShaderProgram::loadVector(location_textColor, color);
}

void TextShader::getAllUniformLocations() {
    location_projectionMatrix = ShaderProgram::getUniformLocation("projectionMatrix");
    location_textColor = ShaderProgram::getUniformLocation("textColor");
}

void TextShader::bindAttributes() const {
    ShaderProgram::bindAttribute(0, "vertices");
}
